# Uses of Interface
org.eclipse.ui.intro.IIntroSite

Packages that use IIntroSite
Package
Description
org.eclipse.ui.intro
Application programming interfaces for interaction with and extension of the product introduction parts.
org.eclipse.ui.intro.config
Provides support for customizing welcome content and presentation.
org.eclipse.ui.intro.contentproviders
Contains classes which can be used to add controls to a welcome page.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of IIntroSite in org.eclipse.ui.intro

Methods in org.eclipse.ui.intro that return IIntroSite
Modifier and Type
Method
Description
`IIntroSite`
IIntroPart.`getIntroSite()`
Returns the site for this intro part.
Methods in org.eclipse.ui.intro with parameters of type IIntroSite
Modifier and Type
Method
Description
`void`
IIntroPart.`init(IIntroSite site, IMemento memento)`
Initializes this intro part with the given intro site.

## Uses of IIntroSite in org.eclipse.ui.intro.config

Fields in org.eclipse.ui.intro.config declared as IIntroSite
Modifier and Type
Field
Description
`protected IIntroSite`
IntroConfigurer.`site`
Methods in org.eclipse.ui.intro.config with parameters of type IIntroSite
Modifier and Type
Method
Description
`void`
CustomizableIntroPart.`init(IIntroSite site, IMemento memento)`
`void`
IntroConfigurer.`init(IIntroSite site, Map<String,String> themeProperties)`
Provides the opportunity for the configurer to contribute to the action bars and to fetch presentation theme properties.
`void`
IIntroAction.`run(IIntroSite site, Properties params)`
Called to run this intro command.

## Uses of IIntroSite in org.eclipse.ui.intro.contentproviders

Methods in org.eclipse.ui.intro.contentproviders with parameters of type IIntroSite
Modifier and Type
Method
Description
`void`
AlwaysWelcomeCheckbox.`run(IIntroSite site, Properties params)`
Method called when box is clicked in html (swt is handled with a SelectionAdapter - both methods call reverseShowIntroState())

## Uses of IIntroSite in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return IIntroSite
Modifier and Type
Method
Description
`final IIntroSite`
IntroPart.`getIntroSite()`
Methods in org.eclipse.ui.part with parameters of type IIntroSite
Modifier and Type
Method
Description
`void`
IntroPart.`init(IIntroSite site, IMemento memento)`
The base implementation of this `IIntroPart`method ignores the memento and initializes the part in a fresh state.
`protected void`
IntroPart.`setSite(IIntroSite site)`
Sets the part site.